Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453345 - Update F8 yum to 3.2.16
Summary: Update F8 yum to 3.2.16
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 8
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-29 23:23 UTC by David
Modified: 2014-01-21 23:03 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-07 19:13:56 UTC


Attachments (Terms of Use)

Description David 2008-06-29 23:23:13 UTC
Description of problem:
Can F8 get the updated yum with yum reinstall?  I just took the source rpms for
F9 3.2.16-4 and built a F8 3.2.16-0 and it built perfectly.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 David 2008-06-29 23:38:34 UTC
Further info.

I updated the yum on my F8 server, using my yum-3.2.16-0.fc8.noarch.rpm and it
did pull in 7 more dependency packages:

dirmngr
gnupg2
gpgme
libksba
pinentry
pth
pygpgme

However the yum runs perfectly!

I even tried a yum reinstall intltool and it properly downloaded removed and
reinstalled intltool.

Can this package be put into bodhi?  I can happily build a proper
yum-3.2.16-1.fc8.noarch.rpm if no one has the time.

Thanks!

Comment 2 Jan Hutař 2008-07-08 07:56:19 UTC
I believe F8 is considered stable release now, so I'm not sure if there are 
enough reasons to release yum-3.2.16 when there is yum-3.2.8-2.fc8 which is 
already tested in the F8 environment.

Just my opinion :-)

Comment 3 David 2008-07-08 08:28:26 UTC
But 3.2.8 does not have --reinstall option.  I have been running my own rpm I
built without modification from the F9 srpms and its been running perfectly.

Comment 4 James Antill 2008-08-07 19:13:56 UTC
 3.2.18 is in Fedora 8 updates-testing now, and 3.2.17-2 is in stable.
 You can always use --enablerepo=development to get the latest yum too.


Note You need to log in before you can comment on or make changes to this bug.